# InsertRowsParam.Builder

Package io.milvus.param.highlevel.dml

## Class InsertRowsParam.Builder

- java.lang.Object
- - io.milvus.param.highlevel.dml.InsertRowsParam.Builder

Enclosing class:
  InsertRowsParam

    public static class InsertRowsParam.Builder
    extends java.lang.Object

Builder for `InsertRowsParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`InsertRowsParam` `build()` Verifies parameters and creates a new `InsertRowsParam` instance.
`InsertRowsParam.Builder` `withCollectionName​(@NonNull java.lang.String collectionName)` Sets the collection name.
`InsertRowsParam.Builder` `withRows​(@NonNull java.util.List<com.alibaba.fastjson.JSONObject> rows)` Sets the row data to insert.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public InsertRowsParam.Builder withCollectionName​(@NonNull
                                                      @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withRows

    public InsertRowsParam.Builder withRows​(@NonNull
                                            @NonNull java.util.List<com.alibaba.fastjson.JSONObject> rows)

Sets the row data to insert. The rows list cannot be empty.

Parameters:
  `rows` - insert row data
Returns:
  `Builder`
See Also:
  `JSONObject`

#### build

    public InsertRowsParam build()
                          throws ParamException

Verifies parameters and creates a new `InsertRowsParam` instance.

Returns:
  `InsertRowsParam`
Throws:
  `ParamException`